Skip to main content
POST
/
inbound
/
web
Register an inbound web call
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/inbound/web \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "baseUrl": "https://agent.freyavoice.ai",
  "agentId": "650e8400-e29b-41d4-a716-446655440000",
  "modality": "voice",
  "customerEmail": "caller@example.com"
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "phoneNumber": "<string>",
      "properties": {
        "workspaceId": "<string>",
        "webhookUrl": "<string>",
        "customerData": {
          "phoneNumber": "<string>",
          "inboundFrom": "<string>",
          "email": "<string>"
        },
        "assistantId": "<string>",
        "phoneNumberId": "<string>",
        "isCommercial": true
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
required
Minimum string length: 1
baseUrl
string
required
Minimum string length: 1
agentId
string
simulationId
string
modality
enum<string>
Available options:
voice,
text
memberId
string
customerEmail
string

Response

Inbound web call registered

success
enum<boolean>
required
Available options:
true
data
object
required